Name:           eiciel
Version:        0.9.5
Release:        1%{?dist}
Summary:        Graphical access control list (ACL) editor
Group:          Applications/System
License:        GPLv2+
URL:            http://rofi.pinchito.com/eiciel
Source0:        http://rofi.pinchito.com/eiciel/download/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libgnomeui-devel gtkmm24-devel libacl-devel nautilus-devel
BuildRequires:  desktop-file-utils

%description
Graphical editor for access control lists (ACL) 
and extended attributes (XATTR), either as an 
extension within Nautilus, or as a standalone utility.


%prep
%setup -q

iconv -f ISO-8859-1 -t UTF-8 AUTHORS > foo
mv foo AUTHORS

perl -pi -e 's|/home/roger/eiciel/eiciel_0_9_5/install|/usr|' src/eiciel.desktop

%build
%configure --with-nautilus-extensions-dir=%{_libdir}/nautilus/extensions-1.0
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-install --vendor fedora                        \
        --dir %{buildroot}%{_datadir}/applications          \
        --add-category X-Fedora                             \
        --delete-original                                   \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

# less is more
#cd %{buildroot}%{_datadir}/%{name}/doc/C/figures
#for img in `ls *.png` ; do
#    if [ -e ../../../img/$img ] ; then
#        rm $img
#        ln -s ../../../img/$img
#    fi
#done

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}
%{_datadir}/applications/*%{name}*
%{_mandir}/man1/%{name}*
%{_libdir}/nautilus/extensions-1.0/lib%{name}*
%exclude %{_libdir}/nautilus/extensions-1.0/*.a
%exclude %{_libdir}/nautilus/extensions-1.0/*.la


%changelog
* Thu Oct 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.9.5-1
- update to 0.9.5

* Tue Aug 21 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.9.4-2
- bump

* Sun Nov 12 2006 Chris Weyl <cweyl@alumni.drew.edu>
- update to 0.9.4
- src/eiciel.desktop and doc/C/eiciel.xml no longer in source tarball 

* Sun Nov 12 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.9.3-1
- update to 0.9.3
- nuke src/eiciel.desktop during prep, drop the patch and just let configure
  do its thing

* Sat Nov 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.9.2-8
- bump

* Sat Nov 11 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.9.2-7
- rm doc/C/eiciel.xml during prep; otherwise it isn't rebuilt properly

* Wed Nov 08 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.9.2-6
- minor tweaks, resubmitted

* Sun Jul 09 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9.2-5
- Drop excludes for .debug files
- Tidy up summary and description
- Make includes more precise
- Use .desktop file now accepted upstream (but with patch)
- Use existing .png file as icon instead of copy

* Mon Jul 03 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9.2-4
- Change .debug excludes to work on x86_64 too

* Mon Jul 03 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9.2-3
- Exclude *.debug files
- Remove macros from changelog section to shut up rpmlint
- Reduced file permissions on .spec and .desktop files

* Mon Jul 03 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9.2-2
- Claim files under libdir more precisely
- Add nautilus to buildreqs

* Mon Jul 03 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9.2-1
- Update source to 0.9.2
- Drop gcc4.1 patch accepted upstream

* Sat Feb 04 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9-8
- Use __mkdir and __install macros

* Fri Feb 03 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9-7
- Make version key in .desktop refer to fd.o spec ver, not eicel ver
- Actually install the .destop file
- Provide icon for .desktop file in /usr/share/pixmaps
- Replace all RPM_BUILD_ROOT macros with buildroot

* Fri Feb 03 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9-6
- All docs are in doc
- All Requires were detected automatically
- Omit .la as well as .a
- Reset file permissions on source files
- Use find_lang for locale files
- Added .desktop file
- Change instances of eiciel to name macro

* Fri Feb 03 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9-5
- Exclude .a library which is unlikely to be used
- Use more fine-grained file specs, particularly for man/doc files

* Thu Feb 02 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9-4
- Attempt to fix rpmlint ownership warnings about man1 files/dirs

* Thu Feb 02 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9-3
- Changed BuildRequires/Requires

* Thu Feb 02 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9-2
- Added patch for gcc4.1

* Thu Feb 02 2006 Andy Burns <fedora@adslpipe.co.uk> 0.9-1
- Initial RPM build

